   CREATE INDEX BL_IDX0001 ON BL_PZDATA  (LASTVISIT ASC, USER_DN DESC);
   
   CREATE INDEX BL_IDX0002 ON BL_NODE ( DOC_ID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0003  ON BL_NODE (UUID ASC, VERSION DESC);
   
   CREATE INDEX BL_IDX0004  ON BL_DOC_INFO (LOCKEDBY_DN ASC);

   CREATE INDEX BL_IDX0005 ON BL_ATTRIBUTE ( DOC_ID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0006  ON BL_ATTRIBUTE (UUID ASC, VERSION DESC);

   CREATE INDEX BL_IDX0007 ON BL_VISUALATTR ( DOC_ID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0008  ON BL_VISUALATTR (UUID ASC, VERSION DESC);
   
   CREATE INDEX BL_IDX0009 ON BL_VISUALIZATION ( DOC_ID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0010  ON BL_VISUALIZATION (UUID ASC, VERSION DESC);   
   
   CREATE INDEX BL_IDX0011 ON BL_RELATIONSHIP ( DOC_ID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0012  ON BL_RELATIONSHIP (UUID ASC, VERSION DESC);     
   
   CREATE INDEX BL_IDX0013  ON BL_DOC_INFO (LASTUPDATE DESC);    
   
   CREATE INDEX BL_IDX0014 ON BL_VISUALATTR ( PARENT_ID ASC, VERSION asc);   

   CREATE INDEX BL_IDX0015 ON BL_ATTRIBUTE ( PARENT_ID ASC, VERSION asc);
   
   CREATE INDEX BL_IDX0016 ON BL_RELATIONSHIP ( SOURCE ASC, VERSION asc);   
    
   CREATE INDEX BL_IDX0017 ON BL_RELATIONSHIP ( TARGET ASC, VERSION asc);   
   
   CREATE INDEX BL_IDX0018 ON BL_TAGS ( DOC_ID ASC); 
   
   CREATE INDEX BL_IDX0019 ON BL_DOC_PARENTS ( SPACE_UUID ASC);     
   
   CREATE INDEX BL_IDX0020  ON BL_DOC_HISTORY (TYPE ASC, DOC_ID ASC, VERSION DESC);       
   
   CREATE INDEX BL_IDX0021  ON BL_DOC_HISTORY (DOC_ID ASC, VERSION DESC);   
   
   CREATE INDEX BL_IDX0022  ON BL_TEAM (SPACE_UUID ASC, ISOWNER ASC); 
   
   CREATE UNIQUE INDEX BL_IDX0023 ON BL_DOC_ACL (DOC_ID ASC, SPACE_UUID ASC); 
   
   CREATE INDEX BL_IDX0024 ON BL_FOLDER (SPACE_UUID ASC, NAME ASC);

   CREATE INDEX BL_IDX0025 ON BL_FOLDER (UUID ASC, SPACE_UUID ASC);   
   
   CREATE INDEX BL_IDX0026 ON BL_PUBLIC_DOC (TYPE ASC, NAME ASC, TAGS ASC);   

   CREATE INDEX BL_IDX0027 ON BL_DOC_INFO (MARKFORDELETE ASC, TYPE ASC, NAME ASC, TAGSLCASE ASC, NAMELCASE ASC);

   CREATE INDEX BL_IDX0028 ON BL_ASSOCIATION ( SOURCE_DOCID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0029  ON BL_ASSOCIATION (UUID ASC, VERSION DESC);
   
   CREATE INDEX BL_IDX0030 ON BL_LINK ( SOURCE_DOCID ASC, VERSION asc);
   
   CREATE UNIQUE INDEX BL_IDX0031  ON BL_LINK (UUID ASC, VERSION DESC);   
   
   CREATE INDEX BL_IDX0032 ON BL_LINK ( ASSOCIATION_ID ASC, VERSION asc);   
   
   CREATE INDEX BL_IDX0033 ON BL_DOC_ACL (ACL_LEVEL ASC); 
   
   CREATE INDEX BL_IDX0034 ON BL_FOLDER (PARENT_ID ASC);      

   CREATE INDEX BL_IDX0035 ON BL_ATTACHMENT (PARENT_ID ASC, VERSION ASC);    

   CREATE INDEX BL_IDX0036 ON BL_ATTACHMENT (DOC_ID ASC, VERSION ASC);  

   CREATE INDEX	BL_IDX0037 ON BL_DOCOWNERSHIPS (DOC_ID ASC, OWNER_DN DESC);
   
   CREATE INDEX BL_IDX0038 ON BL_CHKPT_NODE (DOC_TYPE ASC, TYPE, ORG_DN ASC, NAMELCASE ASC);

   CREATE INDEX BL_IDX0039 ON BL_CHKPT_NODE (DOC_TYPE ASC, ORG_DN ASC, NAMELCASE ASC);

   CREATE INDEX BL_IDX0040 ON BL_PUBLIC_NODE (DOC_TYPE ASC, TYPE, ORG_DN ASC, NAMELCASE ASC);
   
   CREATE INDEX BL_IDX0041 ON BL_PUBLIC_NODE (DOC_TYPE ASC, ORG_DN ASC, NAMELCASE ASC);
   
   CREATE INDEX BL_IDX0042 ON BL_CHKPT_NODE (DOC_ID);

   CREATE INDEX BL_IDX0043 ON BL_PUBLIC_NODE (DOC_ID);